> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rich Transcripts

> Retrieve rich transcription data for a specific file in a collection. This API is only available when the a collection is created with collection_type 'rich-transcripts'

For details on how to create a video collection, see [Create Collection](/api-reference/endpoint/collections/post)


## OpenAPI

````yaml GET /collections/{collection_id}/videos/{file_id}/rich-transcripts
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.9
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /collections/{collection_id}/videos/{file_id}/rich-transcripts:
    get:
      tags:
        - Collections
      summary: Retrieve rich transcription data for a specific file in a collection
      description: >-
        Retrieve rich transcription data for a specific file in a collection.
        This API is only available when the a collection is created with
        collection_type 'rich-transcripts'
      operationId: getTranscripts
      parameters:
        - name: collection_id
          in: path
          required: true
          description: The ID of the collection
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          description: The ID of the file
          schema:
            type: string
        - name: response_format
          in: query
          description: Format for the response
          required: false
          schema:
            type: string
            enum:
              - json
              - markdown
        - name: start_time_seconds
          in: query
          description: Start time in seconds to filter out results by
          required: false
          schema:
            type: number
        - name: end_time_seconds
          in: query
          description: End time in seconds to filter out results by
          required: false
          schema:
            type: number
        - name: modalities
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ModalitiesSchema'
        - name: include_word_timestamps
          in: query
          description: >-
            When true, include a words array on each speech entry with
            word-level start_time and end_time. Not available for YouTube
            sources. Only applies when response_format=json.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Rich transcription data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RichTranscript'
        '400':
          description: Collection type is not 'rich-transcripts'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Collection or file not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ModalitiesSchema:
      type: array
      items:
        type: string
        enum:
          - speech
          - visual_scene_description
          - scene_text
          - audio_description
          - summary
          - segment_summary
          - title
      description: >-
        The modalities to output in the response. Can be used to return smaller
        data sets. Comma separated list of strings. Defaults to all modalities
        available / previously extracted. Accepted values are
        speech,visual_scene_description,scene_text, audio_description, summary,
        segment_summary, title
    RichTranscript:
      allOf:
        - type: object
          required:
            - collection_id
            - file_id
          properties:
            collection_id:
              type: string
              description: The ID of the collection
            file_id:
              type: string
              description: The ID of the file
            content:
              type: string
              description: >-
                Content string returned based on formatting, e.g. set to
                markdown text when response_format=markdown is requested
            title:
              type: string
              description: Generated title of the video
            summary:
              type: string
              description: Generated video level summary
            duration_seconds:
              type: number
              description: Duration of the video in seconds
            segment_summary:
              type: array
              description: >-
                Array of summary information for each segment of the video. Only
                available when enable_summary is set to true in the transcribe
                configuration.
              items:
                type: object
                properties:
                  title:
                    type: string
                    description: Generated segment-level title
                  summary:
                    type: string
                    description: Generated segment-level summary
                  start_time:
                    type: number
                    description: Start time of segment in seconds
                  end_time:
                    type: number
                    description: End time of segment in seconds
        - $ref: '#/components/schemas/DescribeOutput'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    DescribeOutput:
      type: object
      properties:
        visual_scene_description:
          type: array
          description: Array of visual descriptions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
        scene_text:
          type: array
          description: Array of scene text extractions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
        speech:
          type: array
          description: Array of speech transcriptions
          items:
            $ref: '#/components/schemas/SpeechOutputPart'
        audio_description:
          type: array
          description: Array of audio descriptions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
    DescribeOutputPart:
      type: object
      properties:
        text:
          type: string
          description: Text content
        start_time:
          type: number
          description: Start time in seconds
        end_time:
          type: number
          description: End time in seconds
    SpeechOutputPart:
      type: object
      properties:
        speaker:
          type: string
          description: Identified speaker
        text:
          type: string
          description: Transcribed speech text
        start_time:
          type: number
          description: Start time of speech in seconds
        end_time:
          type: number
          description: End time of speech in seconds
        words:
          type: array
          description: >-
            Word-level timestamps. Only present when
            include_word_timestamps=true. Not available for YouTube sources.
          items:
            $ref: '#/components/schemas/WordTimestamp'
    WordTimestamp:
      type: object
      description: A single word with its timing information
      properties:
        word:
          type: string
          description: The word text
        start_time:
          type: number
          description: Start time of the word in seconds
        end_time:
          type: number
          description: End time of the word in seconds
      required:
        - word
        - start_time
        - end_time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````